Package org.eclipse.jdt.ui.actions

# Class GenerateNewConstructorUsingFieldsAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.jdt.ui.actions.SelectionDispatchAction
org.eclipse.jdt.ui.actions.GenerateNewConstructorUsingFieldsAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.jface.viewers.ISelectionChangedListener`

public class GenerateNewConstructorUsingFieldsAction extends SelectionDispatchAction
Creates constructors for a type based on existing fields.

Will open the parent compilation unit in a Java editor. Opens a dialog with a list fields from which a constructor will be generated. User is able to check or uncheck items before constructors are generated. The result is unsaved, so the user can decide if the changes are acceptable.

The action is applicable to structured selections containing elements of type `IType`.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`GenerateNewConstructorUsingFieldsAction(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor)`
Note: This constructor is for internal use only.
`GenerateNewConstructorUsingFieldsAction(org.eclipse.ui.IWorkbenchSite site)`
Creates a new `GenerateConstructorUsingFieldsAction`.

## Method Summary

Modifier and Type
Method
Description
`void`
`run(org.eclipse.jface.text.ITextSelection selection)`
Executes this actions with the given text selection.
`void`
`run(org.eclipse.jface.viewers.IStructuredSelection selection)`
Executes this actions with the given structured selection.
`void`
`selectionChanged(org.eclipse.jface.text.ITextSelection selection)`
Notifies this action that the given text selection has changed.
`void`
`selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)`
Notifies this action that the given structured selection has changed.

### Methods inherited from class org.eclipse.jdt.ui.actions.SelectionDispatchAction

`getSelection, getSelectionProvider, getShell, getSite, run, run, run, selectionChanged, selectionChanged, selectionChanged, setSpecialSelectionProvider, update`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateNewConstructorUsingFieldsAction

public GenerateNewConstructorUsingFieldsAction(org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor editor)
Note: This constructor is for internal use only. Clients should not call this constructor.

Parameters:
  `editor` - the compilation unit editor
Restriction:
  This constructor is not intended to be referenced by clients.

### GenerateNewConstructorUsingFieldsAction

public GenerateNewConstructorUsingFieldsAction(org.eclipse.ui.IWorkbenchSite site)
Creates a new `GenerateConstructorUsingFieldsAction`. The action requires that the selection provided by the site's selection provider is of type `org.eclipse.jface.viewers.IStructuredSelection`.

Parameters:
  `site` - the site providing context information for this action

## Method Details

### run

public void run(org.eclipse.jface.viewers.IStructuredSelection selection)
Description copied from class: `SelectionDispatchAction`
Executes this actions with the given structured selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

### run

public void run(org.eclipse.jface.text.ITextSelection selection)
Description copied from class: `SelectionDispatchAction`
Executes this actions with the given text selection. This default implementation calls `run(ISelection selection)`.

Overrides:
  `run` in class `SelectionDispatchAction`
Parameters:
  `selection` - the selection

### selectionChanged

public void selectionChanged(org.eclipse.jface.viewers.IStructuredSelection selection)
Description copied from class: `SelectionDispatchAction`
Notifies this action that the given structured selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`
Parameters:
  `selection` - the new selection

### selectionChanged

public void selectionChanged(org.eclipse.jface.text.ITextSelection selection)
Description copied from class: `SelectionDispatchAction`
Notifies this action that the given text selection has changed. This default implementation calls `selectionChanged(ISelection selection)`.

Overrides:
  `selectionChanged` in class `SelectionDispatchAction`
Parameters:
  `selection` - the new selection